extends Node2D


# Declare member variables here. Examples:
# var a = 2
# var b = "text"

var frame1 = 0
export var nframes = 15
export var size = Vector2(64,64)
export var maxperrowx = 4
export var maxperrowy = 4
export var filename2 = "res://anim/spritesheet.png"

func _ready():
	for j in maxperrowy:
		for i in maxperrowx:
			var sprite = Sprite.new()
			var frametext = str(frame1)
			if frame1 < 10 :
				frametext = "0" + frametext
			if frame1 > nframes:
				return
			sprite.texture = load('res://anim/texture-image-saved'+str(frametext)+'.png')
			sprite.position = (size / 2)
			sprite.position.x += (size.x*i)
			sprite.position.y += (size.x*j)
			$Viewport.add_child(sprite)
			frame1 += 1
	pass # Replace with function body.

func _on_Timer_timeout():
	var img = $Sprite.texture.get_data()
	img.clear_mipmaps()
	var x = img.save_png(filename2)
	pass # Replace with function body.
